
Audacious - OLD, PLEASE USE GITHUB DISCUSSIONS/ISSUES - Bug #531

audacious will not play back tagged True Audio (TTA) files

April 14, 2015 09:56 - Andrew Strong

Status: Closed Start date: April 14, 2015

Priority: Minor Due date:  

Assignee:  % Done: 100%

Category: plugins/ffaudio Estimated time: 0.00 hour

Target version: 3.6.2   

Affects version: 3.6.1   

Description

I am running Audacious 3.6.1 under Slackware 64bit. I have noticed that audacious plays untagged True Audio (TTA) files perfectly

using the ffaudio plugin; a sample here:

http://www.andrews-corner.org/samples/luckynight_untagged.tta

But audacious fails with tagged TTA files; a tagged sample here:

http://www.andrews-corner.org/samples/luckynight_tagged.tta

The commandline output shows that audacious is attempting to use mpg123 and thus fails:

andrew@ilium~$ audacious -H luckynight_tagged.tta 

ERROR mpg123.cc:238 [read_tuple]: mpg123 probe error for file:///home/andrew/luckynight_tagged.tta

: Message: I am done with this track.

ERROR interface.cc:120 [aud_ui_show_error]: Error opening file:///home/andrew/luckynight_tagged.tt

a:

Error reading metadata

 

If the mpg123 plugin is disabled via the gui audacious uses the ffaudio plugin and reads the mete data correctly and plays the file

perfectly.

Please let me know if more information is required.

History

#1 - April 19, 2015 16:33 - John Lindgren

- Category set to plugins/ffaudio

- Status changed from New to Closed

- Target version set to 3.6.2

- % Done changed from 0 to 100

Fixed.

#2 - April 22, 2015 11:39 - Andrew Strong

Thank you :).
